kernel: [Firmware Bug]: the BIOS has corrupted hw-PMU resources (MSR 38d is 30)

Bug #746751 reported by C de-Avillez on 2011-03-31
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Debian
Fix Released
Unknown
linux (Ubuntu)
Medium
John Johansen
Natty
Medium
John Johansen
Oneiric
Medium
John Johansen

Bug Description

The tale is slightly longer...

We were testing Eucalyptus, and found that -- pretty much -- all KVM instances failed to start. With Serge's help, we dug (well, Serge dug) into KVM; we set KVM in debug mode, and wrapped /usr/bin/kvm to an strace, then started an Eucalyptus instance.

Looking at the trace we found a KVM_GET_MSR_INDEX_LIST call getting E2BIG as RC; further digging in the syslog showed the message in the bug's title.

Serge then found http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617891, which reports an issue between CCISS (the pre-Natty driver for our hardware) and HPSA (the Natty driver). Slightly different from the Debian bug, though, in our case it seems CCISS is compiled in, while HPSA is a kernel module.

But... too similar, so opening this bug.

I will upload the KVM strace and syslog (if necessary).

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: linux-image-2.6.38-7-server 2.6.38-7.39
Regression: Yes
Reproducible: No
ProcVersionSignature: Ubuntu 2.6.38-7.39-server 2.6.38
Uname: Linux 2.6.38-7-server x86_64
AlsaDevices:
 total 0
 crw------- 1 root root 116, 1 Mar 31 14:49 seq
 crw------- 1 root root 116, 33 Mar 31 14:49 timer
AplayDevices: Error: [Errno 2] No such file or directory
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: [Errno 2] No such file or directory
Date: Thu Mar 31 17:16:19 2011
Frequency: Once a day.
HibernationDevice: RESUME=UUID=10cfd89e-43ce-4ef7-ab79-8e7fa182ea68
MachineType: Hewlett-Packard ProLiant DL380 G6
PciMultimedia:

ProcEnviron:
 LC_TIME=en_DK.utf8
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-7-server root=UUID=3677c2d7-2c93-469b-b0b0-28d6dd71ca57 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-7-server N/A
 linux-backports-modules-2.6.38-7-server N/A
 linux-firmware 1.49
RfKill:

SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/20/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: P62
dmi.chassis.type: 23
dmi.chassis.vendor: HP
dmi.modalias: dmi:bvnHewlett-Packard:bvrP62:bd06/20/2009:svnHewlett-Packard:pnProLiantDL380G6:pvr:cvnHP:ct23:cvr:
dmi.product.name: ProLiant DL380 G6
dmi.sys.vendor: Hewlett-Packard

C de-Avillez (hggdh2) wrote :
C de-Avillez (hggdh2) wrote :
C de-Avillez (hggdh2) wrote :

Marking as Critical, milestoning to Beta-2

Changed in linux (Ubuntu):
importance: Undecided → Critical
milestone: none → ubuntu-11.04-beta-2
Changed in debian:
status: Unknown → New
Tim Gardner (timg-tpi) on 2011-04-01
Changed in linux (Ubuntu):
assignee: nobody → John Johansen (jjohansen)
status: New → In Progress
John Johansen (jjohansen) wrote :

Testing has reported that this issue occurs while booting a 2.6.35 in natty.

John Johansen (jjohansen) wrote :

While Eucalyptus fails on natty with a 2.6.35 kernel, a plain kvm instance can boot on these machines.

C de-Avillez (hggdh2) wrote :

Beefing up JJ comment above: I manually ran a lucid image (copied over from my laptop) on a Natty-based system running a Maverick kernel.

Serge Hallyn (serge-hallyn) wrote :

The file /var/lib/eucalyptus/instances/eucalyptus/cache/eki-E98E1B85/kernel on mabolo is bad.

C de-Avillez (hggdh2) wrote :

This may actually be bug 753779; we will close this one if needed.

C de-Avillez (hggdh2) wrote :

I am downgrading this from critical to Medium -- we have not been able to reproduce the issue.

Changed in linux (Ubuntu):
importance: Critical → Medium
Changed in linux (Ubuntu):
milestone: ubuntu-11.04-beta-2 → ubuntu-11.04
Changed in linux (Ubuntu):
milestone: ubuntu-11.04 → natty-updates
Changed in linux (Ubuntu Natty):
milestone: none → natty-updates
Changed in linux (Ubuntu Oneiric):
milestone: natty-updates → none
Changed in linux (Ubuntu Natty):
assignee: nobody → John Johansen (jjohansen)
importance: Undecided → Medium
Changed in debian:
status: New → Fix Released

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: In Progress → Won't Fix
dino99 (9d9) wrote :
Changed in linux (Ubuntu Oneiric):
status: In Progress → Invalid
Changed in linux (Ubuntu Natty):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.